import { JWTState, TokenObject } from '../types';
export declare const JWT = "@@redux-saga-jwt";
export declare const SET: string;
export declare const REMOVE: string;
export declare const INITIALIZE: string;
export declare const initialize: (state: JWTState) => {
    payload: JWTState;
    type: string;
};
export declare const remove: (id: string) => {
    type: string;
    payload: {
        id: string;
    };
};
export declare const set: (id: string, token: TokenObject) => {
    payload: {
        id: string;
        token: TokenObject;
    };
    type: string;
};
export declare const createActionCreators: (id: string) => {
    remove: () => {
        type: string;
        payload: {
            id: string;
        };
    };
    set: (token: TokenObject) => {
        payload: {
            id: string;
            token: TokenObject;
        };
        type: string;
    };
};
