import { JWTConfigs, TokenObject } from '../types';
export declare const createSelectors: <S, T extends TokenObject>(configs: JWTConfigs<S, T>) => (id: string) => {
    getToken: (state: S) => T;
    isAuthenticated: (state: S) => boolean;
    isInitialized: (state: S) => boolean;
};
