import { JWTConfigs, TokenObject } from '../types';
export declare const createJWT: <S, T extends TokenObject>(configs?: JWTConfigs<S, T>) => {
    createSelectors: (id: string) => {
        getToken: (state: S) => T;
        isAuthenticated: (state: S) => boolean;
        isInitialized: (state: S) => boolean;
    };
    reducer: (state: import("../types").JWTState, action: any) => any;
    saga: () => Generator<import("redux-saga/effects").ForkEffect<never> | import("redux-saga/effects").CallEffect<import("../types").JWTState> | import("redux-saga/effects").PutEffect<{
        payload: import("../types").JWTState;
        type: string;
    }>, void, unknown>;
};
