import { JWTConfigs, JWTState, TokenObject } from '../types';
export declare const createSaga: <S, T extends TokenObject>(configs: JWTConfigs<S, T>) => {
    refreshIntervalTimer: (id: string) => Generator<import("redux-saga/effects").TakeEffect | import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<true> | import("redux-saga/effects").CallEffect<Generator<unknown, any, unknown>>, never, any>;
    refreshTokenWorker: (id: string) => Generator<import("redux-saga/effects").TakeEffect | import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<Generator<unknown, any, unknown>> | import("redux-saga/effects").RaceEffect<import("redux-saga/effects").TakeEffect | import("redux-saga/effects").CallEffect<true>>, void, {
        tokenExpired: any;
    }>;
    rootSaga: () => Generator<import("redux-saga/effects").ForkEffect<never> | import("redux-saga/effects").CallEffect<JWTState> | import("redux-saga/effects").PutEffect<{
        payload: JWTState;
        type: string;
    }>, void, unknown>;
    saveTokens: () => Generator<import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<Generator<unknown, any, unknown>>, void, unknown>;
    tokenWorker: () => Generator<import("redux-saga/effects").TakeEffect | import("redux-saga/effects").CancelEffect | import("redux-saga/effects").SelectEffect | import("redux-saga/effects").ForkEffect<void>, never, any>;
};
